%define ver_major 5.23
%def_without newtranslations

Name: gcalctool
Version: %ver_major.1
Release: alt1

Summary: GTK2 based desktop calculator
License: %gpl2plus
Group: Sciences/Mathematics

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
%if_with newtranslations
Source1: %name-0.4.16.ru.po.bz2
%endif

Provides: gnome-calculator

PreReq: scrollkeeper GConf2

BuildPreReq: rpm-build-licenses rpm-build-gnome

# Taken from configure.in
BuildPreReq: scrollkeeper
BuildPreReq: intltool >= 0.35
BuildPreReq: gnome-doc-utils >= 0.3.2
BuildPreReq: libatk-devel >= 1.5
BuildPreReq: libgtk+2-devel >= 2.11.6
BuildPreReq: libGConf-devel GConf
BuildPreReq: libglade-devel

BuildRequires: flex perl-XML-Parser

%description
This package provides gcalctool, the calculator application that was
previously in the OpenWindows Deskset of the Solaris 8 operating system.

It incorporates a multiple precision arithmetic packages based on the work
of Professor Richard Brent.

A single graphics driver for GTK2 included with this package.

%prep
%setup -q

%if_with newtranslations
bzcat %SOURCE1 po/ru.po
%endif

%build
%configure \
    --disable-schemas-install --disable-scrollkeeper
%make_build

%install
%make_install DESTDIR=%buildroot install

# man page
install -pD -m644 %name/%name.1 %buildroot%_man1dir/%name.1

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%dir %_datadir/%name
%_datadir/%name/%name.glade
%_desktopdir/*
%_man1dir/*
%config %gconf_schemasdir/*
%doc AUTHORS ChangeLog NEWS README TODO MAINTAINERS

%changelog
* Mon Apr 28 2008 Alexey Rusakov <ktirf@altlinux.org> 5.23.1-alt1
- New version (5.23.1); the stable version appeared to be less stable than
  the unstable one...

* Sun Apr 27 2008 Alexey Rusakov <ktirf@altlinux.org> 5.22.1-alt1
- New version (5.22.1).
- No more scrollkeeper in Sisyphus.
- Files list updated.

* Wed Feb 13 2008 Alexey Rusakov <ktirf@altlinux.org> 5.21.91-alt1
- New version (5.21.91).
- Updated buildreqs.

* Thu Oct 18 2007 Alexey Rusakov <ktirf@altlinux.org> 5.20.2-alt1
- new version (5.20.2)
- use more macros, including those from rpm-build-{licenses,gnome}
- added update/clean_menus calls to support WMs that don't know how to deal
  with .desktop files.
- updated dependencies
- eliminated %%__ macro usages

* Tue Jul 31 2007 Alexey Rusakov <ktirf@altlinux.org> 5.19.6-alt1
- new version 5.19.6 (with rpmrb script)

* Mon Jul 09 2007 Alexey Rusakov <ktirf@altlinux.org> 5.19.5-alt1
- new version 5.19.5 (with rpmrb script)

* Mon Jun 18 2007 Alexey Rusakov <ktirf@altlinux.org> 5.19.4-alt1
- new version (5.19.4)
- In this version, libgnome{,ui} dependency has been removed. Startup times
  should improve, and libgnome should die anyway.

* Tue May 15 2007 Alexey Rusakov <ktirf@altlinux.org> 5.19.2-alt1
- new version 5.19.2 (with rpmrb script)

* Mon Apr 02 2007 Alexey Rusakov <ktirf@altlinux.org> 5.9.14-alt1
- new version 5.9.14 (with rpmrb script)

* Mon Feb 12 2007 Alexey Rusakov <ktirf@altlinux.org> 5.9.12-alt1
- new version 5.9.12 (with rpmrb script)

* Mon Sep 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.8.24-alt1
- new version 5.8.24 (with rpmrb script)

* Fri Aug 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.8.23-alt1
- new version 5.8.23 (with rpmrb script)

* Tue Aug 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.8.20-alt1
- new version 5.8.20 (with rpmrb script)

* Mon Jul 17 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.8.17-alt2
- Added Provides: gnome-calculator

* Fri Jul 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.8.17-alt1
- new version 5.8.17 (with rpmrb script)

* Sun Jun 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.8.16-alt1
- new version
- updated buildreqs

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.7.30-alt2
- removed Debian menu support.
- spec cleanup.

* Tue Feb 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.7.30-alt1
- new version (5.7.30)

* Wed Feb 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.7.28-alt1
- new version

* Tue Jan 24 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.7.27-alt1
- new version

* Wed Jan 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.7.26-alt1
- new version

* Sun Jan 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.7.23-alt1
- new version

* Tue Nov 15 2005 Alexey Rusakov <ktirf@altlinux.ru> 5.7.11-alt1
- new version

* Fri Oct 14 2005 Alexey Rusakov <ktirf@altlinux.ru> 5.7.8-alt1
- new version

* Sun Sep 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 5.6.31-alt1
- 5.6.31
- Removed excess buildreqs.

* Mon Apr 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 5.5.42-alt1
- new version.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 5.5.41-alt1
- 5.5.41

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 4.4.18-alt1
- 4.4.18

* Sat Jul 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 4.4.16-alt1
- 4.4.16

* Thu Jul 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 4.4.14-alt1
- 4.4.14

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 4.3.51-alt1
- 4.3.51

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 4.3.42-alt1
- 4.3.42

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.3.3-alt1
- 4.3.3

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.3.2-alt1
- 4.3.2

* Thu Aug 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.3.0-alt1
- 4.3.0

* Tue Jul 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.2.99-alt1
- 4.2.99

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.2.86-alt1
- new version.

* Sun May 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.2.83-alt1
- First build for Sisyphus.

